Bug 1007939 - (CVE-2013-4348) CVE-2013-4348 kernel: net: deadloop path in skb_flow_dissect()
CVE-2013-4348 kernel: net: deadloop path in skb_flow_dissect()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20131031,repo...
: Security
Depends On: 1007942 1007943 1007955 1025647
Blocks: 1008303
  Show dependency treegraph
 
Reported: 2013-09-13 11:23 EDT by Petr Matousek
Modified: 2015-10-15 14:01 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-24 12:00:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-09-13 11:23:43 EDT
A flaw was found in the way ip packets with ihl of zero were processed in the skb_flow_dissect() function in the Linux kernel.

A remote attacker could use this flaw to cause inifinite loop in the kernel.

Acknowledgements:

This issue was found by Jason Wang of Red Hat.
Comment 3 Petr Matousek 2013-09-13 11:39:17 EDT
Statement:

This issue does not affect Linux kernel packages as shipped with Red Hat Enterprise Linux 5 and 6. Future Linux kernel updates for Red Hat Enterprise Linux MRG 2 might address this issue.
Comment 6 errata-xmlrpc 2013-10-31 12:30:15 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1490 https://rhn.redhat.com/errata/RHSA-2013-1490.html
Comment 7 Petr Matousek 2013-11-01 03:55:50 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1025647]
Comment 9 Fedora Update System 2013-11-04 21:59:12 EST
kernel-3.11.6-201.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-11-10 02:57:20 EST
kernel-3.11.7-300.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-11-12 21:16:28 EST
kernel-3.11.7-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 John Kacur 2014-02-06 08:41:49 EST
Upstream commit 6f092343855a71e03b8d209815d8c45bf3a27fcd

Note You need to log in before you can comment on or make changes to this bug.